org.apache.hc.core5.http2.config

## Enum H2Param

- java.lang.Object
- - java.lang.Enum<H2Param>
  - - org.apache.hc.core5.http2.config.H2Param

- All Implemented Interfaces:
    Serializable, Comparable<H2Param>

      public enum H2Param
      extends Enum<H2Param>

  HTTP/2 protocol parameters.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENABLE_PUSH`
    `HEADER_TABLE_SIZE`
    `INITIAL_WINDOW_SIZE`
    `MAX_CONCURRENT_STREAMS`
    `MAX_FRAME_SIZE`
    `MAX_HEADER_LIST_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static String` | `toString(int code)`
    `static H2Param` | `valueOf(int code)`
    `static H2Param` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static H2Param[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEADER_TABLE_SIZE

          public static final H2Param HEADER_TABLE_SIZE

    - #### ENABLE_PUSH

          public static final H2Param ENABLE_PUSH

    - #### MAX_CONCURRENT_STREAMS

          public static final H2Param MAX_CONCURRENT_STREAMS

    - #### INITIAL_WINDOW_SIZE

          public static final H2Param INITIAL_WINDOW_SIZE

    - #### MAX_FRAME_SIZE

          public static final H2Param MAX_FRAME_SIZE

    - #### MAX_HEADER_LIST_SIZE

          public static final H2Param MAX_HEADER_LIST_SIZE

  - ### Method Detail

    - #### values

          public static H2Param[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (H2Param c : H2Param.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static H2Param valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### valueOf

          public static H2Param valueOf(int code)

    - #### toString

          public static String toString(int code)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.